
package org.remote.roadhog;

import java.awt.*;
import java.io.*;
import java.util.*;

import org.w3c.dom.*;

public class Hyperlink extends XMLObject
{
	private HashMap url = new HashMap ();
	private HashMap text = new HashMap ();

	/**
	 * Creates new Photo based on XML node
	 */
	public Hyperlink (Node node)
	throws ParseException
	{
		NodeList sublist;
		Element hl = (Element) node;

		parseAttributeWithLanguage (hl, "url", url);
		parseAttributeWithLanguage (hl, "text", text);
	}

	/**
	 * writes XML serialized version of photo to stream
	 */
	public void toXML (PrintStream o, String indent)
	{
		o.println (indent + "<hyperlink>");
		writeAttributeWithLanguage (o, indent + "   ", "url", url);
		writeAttributeWithLanguage (o, indent + "   ", "text", text);
		o.println (indent + "</hyperlink>");
	}

	public String getText (String language)
	{
		return getAttributeInLanguage (text, language);
	}
	public String getUrl (String language)
	{
		return getAttributeInLanguage (url, language);
	}

}
